Skip to main content
PUT
/
core
/
webhook-credential
/
{webhookCredentialId}
Update Webhook Credential
curl --request PUT \
  --url https://api.integrations.commenda.io/v4/core/webhook-credential/{webhookCredentialId} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "signing_secret": "<string>"
}
'
{
  "request_id": "<string>",
  "data": {
    "data": {
      "rootfi_id": 123,
      "rootfi_created_at": "2023-11-07T05:31:56Z",
      "rootfi_updated_at": "2023-11-07T05:31:56Z",
      "rootfi_organisation_id": 123,
      "rootfi_company_id": 123,
      "verification_token": "<string>",
      "signing_secret_masked": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

Update Webhook Credential.

Authorizations

api_key
string
header
required

Path Parameters

webhookCredentialId
integer
required

Body

application/json
signing_secret
string
verification_mode
enum<string>
Available options:
URL_PARAM,
HEADER

Response

Credential updated.

request_id
string
required
data
V4WebhookCredentialPayload · object
required